New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2475 (Use XIOS to read configuration data) – NEMO

Opened 2 years ago

Closed 15 months ago

#2475 closed Task (wontfix)

Use XIOS to read configuration data

Reported by: andmirek Owned by: andmirek
Priority: low Milestone:
Component: MULTIPLE Version: trunk
Severity: minor Keywords:
Cc:

Description

Use XIOS to read configuration information from netcdf file.

Workplan action

Wikipage: wiki:2019WP/HPC-11_Mirek_Andrejczuk_IO_with_XIOS

Commit History (11)

ChangesetAuthorTimeChangeLog
13768andmirek2020-11-10T16:54:25+01:00

Ticket #2475: Corrections after merge

13766andmirek2020-11-10T12:57:08+01:00

Ticket #2475: merge with trunk rev 13688

13044andmirek2020-06-04T13:13:41+02:00

Ticket #2475 changes in sette

13041andmirek2020-06-04T12:59:38+02:00

Ticket #2475 update test branch

13040andmirek2020-06-04T12:52:54+02:00

Ticket #2475 add new namelist variable in all configurations

13039andmirek2020-06-04T11:21:32+02:00

Ticket #2475 fix for AGRIF

13037andmirek2020-06-04T10:35:34+02:00

Ticket #2475 new sete location for test branch

13036andmirek2020-06-04T10:30:54+02:00

Ticket #2475 sette branch

13035andmirek2020-06-04T10:18:35+02:00

Ticket #2475 test branch

13016andmirek2020-06-03T12:48:36+02:00

Ticket #2475 implementation of new interface

13003andmirek2020-06-02T09:42:33+02:00

Ticket #2475 development branch

Change History (14)

comment:1 Changed 2 years ago by andmirek

In 13003:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found
Version 0, edited 2 years ago by andmirek (next)

comment:2 Changed 2 years ago by andmirek

In 13016:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

New namelist variable was added - ln_xios_cfg

I had to change name for time_counter to t for SPITZ12 case in domain_cfg.nc in order for XIOS to correctly read data.

Last edited 2 years ago by andmirek (previous) (diff)

comment:3 Changed 2 years ago by andmirek

In 13035:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 2 years ago by andmirek

In 13036:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by andmirek

In 13037:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 2 years ago by andmirek

In 13039:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by andmirek

In 13040:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 2 years ago by andmirek

In 13041:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by andmirek

In 13044:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 2 years ago by andmirek

Current code is : NEMO/branches/2020/test_12905_xios_ancil @ r13044 ( last change @ r13041 )

SETTE validation report generated for :

NEMO/branches/2020/test_12905_xios_ancil @ r13041 (last changed revision)

on XC40_METO_IFORT arch file

!!---------------1st pass------------------!!

!----restart----!

WGYRE_PISCES_ST run.stat restartability passed : 13041
WGYRE_PISCES_ST tracer.stat restartability passed : 13041
WORCA2_ICE_PISCES_ST run.stat restartability passed : 13041
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 13041
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 13041
WAMM12_ST run.stat restartability passed : 13041
WORCA2_SAS_ICE_ST run.stat restartability passed : 13041
WAGRIF_DEMO_ST run.stat restartability passed : 13041
WSPITZ12_ST run.stat restartability passed : 13041
WISOMIP_ST run.stat restartability passed : 13041
WOVERFLOW_ST run.stat restartability passed : 13041
WLOCK_EXCHANGE_ST run.stat restartability passed : 13041
WVORTEX_ST run.stat restartability passed : 13041
WICE_AGRIF_ST run.stat restartability passed : 13041

!----repro----!

WGYRE_PISCES_ST run.stat reproducibility passed : 13041
WGYRE_PISCES_ST tracer.stat reproducibility passed : 13041
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 13041
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 13041
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 13041
WAMM12_ST run.stat reproducibility passed : 13041
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 13041
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 13041
WAGRIF_DEMO_ST run.stat reproducibility passed : 13041
WSPITZ12_ST run.stat reproducibility passed : 13041
WISOMIP_ST run.stat reproducibility passed : 13041
WVORTEX_ST run.stat reproducibility passed : 13041
WICE_AGRIF_ST run.stat reproducibility passed : 13041

!----agrif check----!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 13041 13041

!----result comparison check----!

check result differences between :
VALID directory : /home/d02/mandrej/nemo_validation_ancil/NEMO_VALIDATION at rev 13041
and
REFERENCE directory : /home/d02/mandrej/nemo_validation/NEMO_VALIDATION at rev 12913

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are identical
WORCA2_ICE_PISCES_ST tracer.stat files are identical
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are identical
WSPITZ12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WVORTEX_ST run.stat files are identical
WICE_AGRIF_ST run.stat files are identical

comment:11 Changed 2 years ago by andmirek

  • Status changed from new to assigned
  • wp_comment changed from Unspecified to ready

comment:12 Changed 19 months ago by andmirek

In 13766:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 19 months ago by andmirek

In 13768:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 15 months ago by andmirek

  • Resolution set to wontfix
  • Status changed from assigned to closed

This work will continue in 2021 see #2631

Note: See TracTickets for help on using tickets.